Last Comment Bug 677642 - [css3-mediaqueries] media queries defines <resolution> as accepting <number>, not just <integer>
: [css3-mediaqueries] media queries defines <resolution> as accepting <number>,...
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: mozilla8
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-09 12:15 PDT by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2011-08-29 12:58 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.11 KB, patch)
2011-08-09 12:18 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
bzbarsky: review+
Details | Diff | Review

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-08-09 12:15:55 PDT
http://www.w3.org/TR/css3-mediaqueries/#values says <resolution> is <number> (not <integer>) followed by a unit identifier.  (At the time I implemented it I think this was vague, and I implemented <integer>.)
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-08-09 12:18:38 PDT
Created attachment 551847 [details] [diff] [review]
patch
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-08-09 12:24:46 PDT
https://hg.csswg.org/test/rev/c0aa90be90ad
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-08-09 12:30:24 PDT
Yeah, I committed the tests in July 2008 (which means I wrote them earlier):

https://hg.mozilla.org/mozilla-central/rev/bb091bc06282

Anne landed text in the spec just before I did that, defining it as <integer> in:

revision 1.24
date: 2008/06/12 14:16:20;  author: avankest;  state: Exp;  lines: +21 -21
define <ratio> to allow whitespace around '/' in aspect-ratio and device-aspect-ratio

and then changed it to <number> in:

revision 1.25
date: 2008/08/26 10:45:50;  author: avankest;  state: Exp;  lines: +16 -9
work around bugs in the preprocessor; make grid:2 an error; add notes about not affecting HTML and all; <resolution> takes numbers
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-08-10 21:05:14 PDT
Comment on attachment 551847 [details] [diff] [review]
patch

r=me
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-08-11 14:26:50 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/5ed6a44da1a8
Comment 6 Matt Brubeck (:mbrubeck) 2011-08-12 08:00:45 PDT
https://hg.mozilla.org/mozilla-central/rev/5ed6a44da1a8
Comment 7 j.j. 2011-08-13 07:45:48 PDT
A note in "Firefox 8 for Developers" doesn't make dev-doc-complete.

Updating  https://developer.mozilla.org/en/CSS/media_queries#resolution
should be considered, at least.

Note You need to log in before you can comment on or make changes to this bug.